/* ========================================
 *  Gringer - Gringer.h
 *  Copyright (c) 2016 airwindows, Airwindows uses the MIT license
 * ======================================== */

#include "Gringer.h"

#ifdef SHR3D_SFX_CORE_AIRWINDOWS

#include <cmath>
namespace airwinconsolidated::Gringer {

Gringer::Gringer()
{
	for (int x = 0; x < 9; x++) {inbandL[x] = 0.0; outbandL[x] = 0.0; inbandR[x] = 0.0; outbandR[x] = 0.0;}
	fpdL = 1; while (fpdL < 16386) fpdL = rand()*UINT32_MAX;
	fpdR = 1; while (fpdR < 16386) fpdR = rand()*UINT32_MAX;
	//this is reset: values being initialized only once. Startup values, whatever they are.
}

int Gringer::getParameterCount() const
{
	return kNumParameters;
}

void Gringer::setParameter(int index, float value) {
}

float Gringer::getParameter(int index) {
	return 0.0; //we only need to update the relevant name, this is simple to manage
}

void Gringer::getParameterName(int index, char *text) {
}

void Gringer::getParameterDisplay(int index, char *text) {
}

void Gringer::getParameterLabel(int index, char *text) {
}




} // end namespace

#endif // SHR3D_SFX_CORE_AIRWINDOWS
